Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class HistoryBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.HistoryBean

All Implemented Interfaces:
  java.io.Serializable

public class HistoryBean
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`HistoryBean()`
`HistoryBean(java.util.Calendar creationDate, java.lang.String emailText, long id, java.lang.String text, java.lang.String userName)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Calendar` | `getCreationDate()` Gets the creationDate value for this HistoryBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getEmailText()` Gets the emailText value for this HistoryBean.
`long` | `getId()` Gets the id value for this HistoryBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.lang.String` | `getText()` Gets the text value for this HistoryBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getUserName()` Gets the userName value for this HistoryBean.
`int` | `hashCode()`
`void` | `setCreationDate(java.util.Calendar creationDate)` Sets the creationDate value for this HistoryBean.
`void` | `setEmailText(java.lang.String emailText)` Sets the emailText value for this HistoryBean.
`void` | `setId(long id)` Sets the id value for this HistoryBean.
`void` | `setText(java.lang.String text)` Sets the text value for this HistoryBean.
`void` | `setUserName(java.lang.String userName)` Sets the userName value for this HistoryBean.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryBean

    public HistoryBean()

### HistoryBean

    public HistoryBean(java.util.Calendar creationDate,
                       java.lang.String emailText,
                       long id,
                       java.lang.String text,
                       java.lang.String userName)

Method Detail

### getCreationDate

    public java.util.Calendar getCreationDate()

  Gets the creationDate value for this HistoryBean.

  Returns:
    creationDate

### setCreationDate

    public void setCreationDate(java.util.Calendar creationDate)

  Sets the creationDate value for this HistoryBean.

  Parameters:
    `creationDate` -

### getEmailText

    public java.lang.String getEmailText()

  Gets the emailText value for this HistoryBean.

  Returns:
    emailText

### setEmailText

    public void setEmailText(java.lang.String emailText)

  Sets the emailText value for this HistoryBean.

  Parameters:
    `emailText` -

### getId

    public long getId()

  Gets the id value for this HistoryBean.

  Returns:
    id

### setId

    public void setId(long id)

  Sets the id value for this HistoryBean.

  Parameters:
    `id` -

### getText

    public java.lang.String getText()

  Gets the text value for this HistoryBean.

  Returns:
    text

### setText

    public void setText(java.lang.String text)

  Sets the text value for this HistoryBean.

  Parameters:
    `text` -

### getUserName

    public java.lang.String getUserName()

  Gets the userName value for this HistoryBean.

  Returns:
    userName

### setUserName

    public void setUserName(java.lang.String userName)

  Sets the userName value for this HistoryBean.

  Parameters:
    `userName` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD